Printago API
GET /v1/sku-variants/{id}

Get a specific SKU variant by ID

Requires: sku.view

Path Parameters

id required
string
- SKU variant identifier

Response Schema

SkuOption
aliasesoptionalnullable
string[]
Alternate names (as the merchant typed them) that resolve to this option.
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
isPersonalizationrequired
boolean
namerequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "name": "string",
  "isPersonalization": true,
  "aliases": [
    "string"
  ],
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}